package com.eco.plugin.xx.jbsync.kit;

import com.fr.decision.webservice.bean.user.UserBean;
import com.fr.decision.webservice.v10.user.UserService;

public class UserServiceKit extends UserService {
    private static volatile UserServiceKit userServiceKit = null;

    public UserServiceKit() {
    }

    public static UserServiceKit getInstance() {
        if (userServiceKit == null) {
            userServiceKit = new UserServiceKit();
        }
        return userServiceKit;
    }

    public void editUser(UserBean var1, String var2) throws Exception {
        this.editUserInfo(var1);
        if (var1.isResetPassword()) {
            this.resetPassword(var1);
        }

        this.updateUserRoles(var2, var1);
        this.updateUserDepartmentPost(var2, var1);
    }
}
